data:extend({
    {
        type = "decorative",
        name = "grid-horizontal-1",
        flags = {"placeable-neutral", "not-on-map"},
        icon = "__custom-grid-emitter__/graphics/icons/grid.png",
        collision_mask = { "ghost-layer"},
        subgroup = "grass",
        order = "b[decorative]-d[grid]",
        collision_box = {{0, 0}, {0, 0}},
        selection_box = {{0, 0}, {0, 0}},
        selectable_in_game = false,
        render_layer = "radius-visualization",
        pictures = {
            {
                filename = "__custom-grid-emitter__/graphics/grid-horizontal-1.png",
                width = 256,
                height = 32,
                shift = { 0, -0.5 }
            }
        }
    },

    {
        type = "decorative",
        name = "grid-horizontal-2",
        flags = {"placeable-neutral", "not-on-map"},
        icon = "__custom-grid-emitter__/graphics/icons/grid.png",
        collision_mask = { "ghost-layer"},
        subgroup = "grass",
        order = "b[decorative]-d[grid]",
        collision_box = {{0, 0}, {0, 0}},
        selection_box = {{0, 0}, {0, 0}},
        selectable_in_game = false,
        render_layer = "radius-visualization",
        pictures = {
            {
                filename = "__custom-grid-emitter__/graphics/grid-horizontal-2.png",
                width = 256,
                height = 32,
                shift = { 0, -0.5 }
            }
        }
    },

    {
        type = "decorative",
        name = "grid-horizontal-3",
        flags = {"placeable-neutral", "not-on-map"},
        icon = "__custom-grid-emitter__/graphics/icons/grid.png",
        collision_mask = { "ghost-layer"},
        subgroup = "grass",
        order = "b[decorative]-d[grid]",
        collision_box = {{0, 0}, {0, 0}},
        selection_box = {{0, 0}, {0, 0}},
        selectable_in_game = false,
        render_layer = "radius-visualization",
        pictures = {
            {
                filename = "__custom-grid-emitter__/graphics/grid-horizontal-3.png",
                width = 256,
                height = 32,
                shift = { 0, -0.5 }
            }
        }
    },

    {
        type = "decorative",
        name = "grid-vertical-1",
        flags = {"placeable-neutral", "not-on-map"},
        icon = "__custom-grid-emitter__/graphics/icons/grid.png",
        collision_mask = { "ghost-layer"},
        subgroup = "grass",
        order = "b[decorative]-d[grid]",
        collision_box = {{0, 0}, {0, 0}},
        selection_box = {{0, 0}, {0, 0}},
        selectable_in_game = false,
        render_layer = "radius-visualization",
        pictures = {
            {
                filename = "__custom-grid-emitter__/graphics/grid-vertical-1.png",
                width = 32,
                height = 256,
                shift = { -0.5, 0 }
            }
        }
    },

    {
        type = "decorative",
        name = "grid-vertical-2",
        flags = {"placeable-neutral", "not-on-map"},
        icon = "__custom-grid-emitter__/graphics/icons/grid.png",
        collision_mask = { "ghost-layer"},
        subgroup = "grass",
        order = "b[decorative]-d[grid]",
        collision_box = {{0, 0}, {0, 0}},
        selection_box = {{0, 0}, {0, 0}},
        selectable_in_game = false,
        render_layer = "radius-visualization",
        pictures = {
            {
                filename = "__custom-grid-emitter__/graphics/grid-vertical-2.png",
                width = 32,
                height = 256,
                shift = { -0.5, 0 }
            }
        }
    },

    {
        type = "decorative",
        name = "grid-vertical-3",
        flags = {"placeable-neutral", "not-on-map"},
        icon = "__custom-grid-emitter__/graphics/icons/grid.png",
        collision_mask = { "ghost-layer"},
        subgroup = "grass",
        order = "b[decorative]-d[grid]",
        collision_box = {{0, 0}, {0, 0}},
        selection_box = {{0, 0}, {0, 0}},
        selectable_in_game = false,
        render_layer = "radius-visualization",
        pictures = {
            {
                filename = "__custom-grid-emitter__/graphics/grid-vertical-3.png",
                width = 32,
                height = 256,
                shift = { -0.5, 0 }
            }
        }
    },

    {
        type = "assembling-machine",
        name = "grid-emitter",
        icon = "__custom-grid-emitter__/graphics/icons/grid-emitter.png",
        flags = {"placeable-neutral","placeable-player", "player-creation"},
        minable = {hardness = 0.2, mining_time = 0.5, result = "grid-emitter"},
        max_health = 100,
        corpse = "small-remnants",
        collision_box = {{ -0.4, -0.4 }, { 0.4, 0.4 }},
        selection_box = {{ -0.4, -0.4 }, { 0.4, 0.4 }},
        module_specification = {
            module_slots = 0
        },
        animation = {
            filename = "__custom-grid-emitter__/graphics/grid-emitter.png",
            priority = "high",
            width = 48,
            height = 32,
            frame_count = 8,
            line_length = 8,
            animation_speed = 0.2,
            shift = { 0.25, 0.0 }
        },
        vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
        working_sound = {
            sound = {
                {
                    filename = "__base__/sound/lab.ogg",
                    volume = 0.25
                }
            },
            idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
            apparent_volume = 1
        },
        crafting_speed = 1,
        energy_source = {
            type = "electric",
            usage_priority = "secondary-input",
            emissions = 0.03 / 3.5
        },
        energy_usage = "0.25kW",
        ingredient_count = 0,
        crafting_categories = {"grid-drawing"},
        fluid_boxes = {
            {
                production_type = "input",
                base_area = 1,
                base_level = -1,
                pipe_connections = {}
            },
            {
                production_type = "output",
                base_area = 1,
                base_level = 1,
                pipe_connections = {}
            }
        }
    }

})

